#include<iostream>
using namespace std;
int main()
{
    int n, d, k;
    cin>>n>>d>>k;
    int dal=0;
    int pSk=1;
    int pVr=1;
    int segP=1;
    for(int s=0;s<=k;s++)
    {
        dal+=segP;
        segP+=d;
        if(segP>n)
        {
            segP=segP%n;
        }
    }
    cout<<dal;
    return 0;
}
